import { jsx } from "react/jsx-runtime";
import { TokenCUSD as TokenCUSD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCUSD = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "CUSD", "data-name": "TokenCUSD", ...props, children: /* @__PURE__ */ jsx(TokenCUSD$1, { variant }) });
  }
);
TokenCUSD.displayName = "TokenCUSD";
Object.assign(TokenCUSD, { isGdsIcon: true });
export {
  TokenCUSD
};
